---
sidebar_label: CommonEventEmitter.removeAllListeners
---

# CommonEventEmitter.removeAllListeners() method

#### Signature:

```typescript
interface CommonEventEmitter {
  removeAllListeners(event?: keyof Events): this;
}
```

## Parameters

| Parameter | Type         | Description  |
| --------- | ------------ | ------------ |
| event     | keyof Events | _(Optional)_ |

**Returns:**

this
